Can't create ios Build

:heavy_multiplication_x: Build failed.
Standalone build failed!

I have removed all the certificate regenerate it but still having same issue.

Expo CLI 3.2.3 environment info:
System:
OS: macOS 10.14.4
Shell: 3.2.57 - /bin/bash
Binaries:
Node: 10.16.3 - /usr/local/bin/node
Yarn: 1.19.1 - /usr/local/bin/yarn
npm: 6.11.3 - /usr/local/bin/npm
Watchman: 4.9.0 - /usr/local/bin/watchman
IDEs:
Android Studio: 3.1 AI-173.4907809
Xcode: 10.3/10G8 - /usr/bin/xcodebuild
npmPackages:
expo: ^35.0.0 => 35.0.0
react: 16.8.3 => 16.8.3
react-native: https://github.com/expo/react-native/archive/sdk-35.0.0.tar.gz => 0.59.8
react-navigation: ^3.11.1 => 3.13.0
npmGlobalPackages:
expo-cli: 3.2.3

Please Help

Build ID: d7059277-ebce-4dd7-88e9-ca868bdab3ac

Hey @svishva,

Can you share the build log error that is causing the build to fail?

Cheers,
Adam

@adamjnav Thank you for your response.

Build ID : 2ee78eda-4659-4013-b46e-7adcddad80f1

Am I missing something?

Here is Expo CLI 3.3.0 environment info:
System:
OS: macOS 10.14.4
Shell: 3.2.57 - /bin/bash
Binaries:
Node: 10.16.3 - /usr/local/bin/node
Yarn: 1.19.1 - /usr/local/bin/yarn
npm: 6.12.0 - /usr/local/bin/npm
Watchman: 4.9.0 - /usr/local/bin/watchman
IDEs:
Android Studio: 3.5 AI-191.8026.42.35.5900203
Xcode: 10.3/10G8 - /usr/bin/xcodebuild
npmPackages:
expo: ^35.0.0 => 35.0.0
react: 16.8.3 => 16.8.3
react-native: https://github.com/expo/react-native/archive/sdk-35.0.0.tar.gz => 0.59.8
react-navigation: ^3.11.1 => 3.13.0
npmGlobalPackages:
expo-cli: 3.3.0

Thank you

When you create new certificate you also need to recreate provisioning profile.
expo build:ios --clear-provisioning-profile --revoke-credentials

If I perform this command it will affect my current users?
Do I need to recreate all the certificates ?
Sorry I’m new to react native and expo.

Thanks for reply.

@wkozyra

Should I create this certificate manually ?

Thank you.

only thing than can affect your current users is revoking your push notification key. All other credentials are only necessary during building and uploading to app store.

This error is caused by the fact that you created new distribution cert but provisioning profile has information about the old one. If that new dist cert is valid you need only to recreate provisioning profile with command I posted before.